Summary: The GNU line editor
Name: ed
Version: 1.8
%define base_release .1
Release: 1%{?dist}%{?base_release}
License: GPLv3+
Group:  Applications/Text
Source: ftp://ftp.gnu.org/gnu/ed/%{name}-%{version}.tar.gz
URL:    http://www.gnu.org/software/ed/
Requires(post): /sbin/install-info
Requires(preun): /sbin/install-info

%description
Ed is a line-oriented text editor, used to create, display, and modify
text files (both interactively and via shell scripts).  For most
purposes, ed has been replaced in normal usage by full-screen editors
(emacs and vi, for example).

Ed was the original UNIX editor, and may be used by some programs.  In
general, however, you probably don't need to install it and you probably
won't use it.

%prep
%setup -q
rm -f stamp-h.in

%build
%configure --exec-prefix=/
make %{?_smp_mflags} CFLAGS="%{optflags}" 

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_mandir}/man1
make install DESTDIR=%{buildroot} \
    bindir=/bin mandir=%{_mandir}

rm -f %{buildroot}/%{_infodir}/dir*
gzip -9qnf  %{buildroot}/%{_infodir}/*

%post
/sbin/install-info %{_infodir}/ed.info.gz %{_infodir}/dir --entry="* ed: (ed).                  The GNU Line Editor." || :

%preun
if [ $1 = 0 ] ; then
  /sbin/install-info --delete %{_infodir}/ed.info.gz %{_infodir}/dir --entry="* ed: (ed).                  The GNU Line Editor." || :
fi

%clean

%files
%defattr(-,root,root)
%doc ChangeLog NEWS README TODO AUTHORS COPYING
/bin/*
%{_infodir}/ed.info.gz
%{_mandir}/*/*

%changelog
* Tue Jul 15 2014 baseuser@ibm.com
- Base-f19.x spec file
